Bug 274972 - Clean up Equalizer API
Summary: Clean up Equalizer API
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playback (show other bugs)
Version: 2.6.0
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-05 12:03 UTC by Kevin Funk
Modified: 2013-01-22 19:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Funk 2011-06-05 12:03:15 UTC
Version:           2.4-GIT (using KDE 4.6.0) 
OS:                Linux

The Equalizer API in Amarok needs polishing. It is not modular at all and clutters EngineController API. Also the EqualizerDialog frontend is not properly coded. We need a cleanup for this.

Report back if you need guidance with this.

Reproducible: Didn't try
Comment 1 Kevin Funk 2011-06-06 00:18:01 UTC
Not a wish.
Comment 2 Myriam Schweingruber 2012-10-21 12:08:18 UTC
Bump version.
Added to Extra Mile.
Comment 3 markuss 2012-12-08 02:30:27 UTC
Why is an API-related request an Extramile bug? IIRC Extramile is for user-visible bugs.
Comment 4 Myriam Schweingruber 2012-12-08 14:26:21 UTC
(In reply to comment #3)
> Why is an API-related request an Extramile bug? IIRC Extramile is for
> user-visible bugs.
You are right, removed.
Comment 5 Matěj Laitl 2013-01-11 01:09:28 UTC
API designing isn't a junior job, don't scare newcomers. ;)
Comment 6 Ralf Engels 2013-01-22 19:04:14 UTC
Git commit 97c5144faf608b8fca0522cff4f9590fe09896bf by Ralf Engels.
Committed on 22/01/2013 at 14:40.
Pushed by rengels into branch 'master'.

Refactoring for Equalizer dialog

Add comments
Improve saving of pre-defined presets
Fix Can't edit & save an existing equalizer preset
Cleanup of the Equalizer stuff a bit, expecially the Equalizer Dialog
Related: bug 241874
FIXED-IN: 2.8

M  +0    -1    src/App.cpp
M  +168  -181  src/dialogs/EqualizerDialog.cpp
M  +38   -19   src/dialogs/EqualizerDialog.h
M  +17   -47   src/dialogs/EqualizerDialog.ui
M  +32   -27   src/equalizer/EqualizerPresets.cpp
M  +29   -12   src/equalizer/EqualizerPresets.h

http://commits.kde.org/amarok/97c5144faf608b8fca0522cff4f9590fe09896bf